Mercury API
FromU32 Method (bytes, offset, value)
Namespaces ► ThingMagic ► ByteConv ► FromU32(array<Byte>[]()[], Int32, UInt32)
Insert unsigned 32-bit integer into big-endian byte string
Declaration Syntax

C# | Visual Basic | Visual C++

    public static int FromU32(
    	byte[] bytes,
    	int offset,
    	uint value
    )

    Public Shared Function FromU32 ( _
    	bytes As Byte(), _
    	offset As Integer, _
    	value As UInteger _
    ) As Integer

    public:
    static int FromU32(
    	array<unsigned char>^ bytes,
    	int offset,
    	unsigned int value
    )

Parameters

bytes (array< Byte >[]()[])
  Target big-endian byte string

offset (Int32)
  Location to insert into

value (UInt32)
  32-bit integer to insert

Return Value
Number of bytes inserted

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)